> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Brands

GET https://api.bigcommerce.com/stores/{store_hash}/v3/catalog/brands

Returns a list of brands. Optional filter parameters can be passed in.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/catalog/brands/get-brands

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Query parameters

- `id` (integer, optional) — Filter items by ID.
- `id:in` (list of integer, optional) — Filter results to those whose ID is in this list.
- `id:not_in` (list of integer, optional) — Filter results to those whose ID is not in this list.
- `id:min` (list of integer, optional) — Filter results to those whose ID is greater than or equal to this value.
- `id:max` (list of integer, optional) — Filter results to those whose ID is less than or equal to this value.
- `id:greater` (list of integer, optional) — Filter results to those whose ID is greater than this value.
- `id:less` (list of integer, optional) — Filter results to those whose ID is less than this value.
- `name` (string, optional) — Filter items by name.
- `name:like` (string, optional) — Filter items by part of a name. For example, `name:like=new` returns brands with names that include `new`.
- `page_title` (string, optional) — Filter items by page_title.
- `page` (integer, optional) — Specifies the page number in a limited (paginated) list of products.
- `limit` (integer, optional) — Controls the number of items per page in a limited (paginated) list of products.
- `include_fields` (list of string, optional) — Fields to include, in a comma-separated list. The ID and the specified fields will be returned.
- `exclude_fields` (list of string, optional) — Fields to exclude, in a comma-separated list. The specified fields will be excluded from a response. The ID cannot be excluded.
- `sort` (enum, optional) — Field name to sort by.
  - Allowed values: `name`
- `direction` (enum, optional) — Sort direction. Acceptable values are: `asc`, `desc`.
  - Allowed values: `asc`, `desc`

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

OK

- `data` (list of brand_Full, optional)
- `meta` (metaCollection_Full, optional) — Data about the response, including pagination and collection totals.

## Errors

### 403 Forbidden Error

An error response.

- `status` (integer, optional) — The HTTP status code.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional)

## Types

### brand_Full

Common Brand properties.

- `name` (string, required) — The name of the brand. Must be unique. Required in POST.
- `id` (integer, optional) — Unique ID of the brand.
- `page_title` (string, optional) — The title shown in the browser while viewing the brand.
- `meta_keywords` (list of string, optional) — An array of meta keywords to include in the HTML.
- `meta_description` (string, optional) — A meta description to include.
- `search_keywords` (string, optional) — A comma-separated list of keywords that can be used to locate this brand.
- `image_url` (string, optional) — Image URL used for this category on the storefront. Images can be uploaded via form file post to `/brands/{brandId}/image`, or by providing a publicly accessible URL in this field.
- `custom_url` (customUrl_Full, optional) — The custom URL for the product on the storefront.

### metaCollection_Full

Data about the response, including pagination and collection totals.

- `pagination` (pagination_Full, optional) — Data about the response, including pagination and collection totals.

### customUrl_Full

The custom URL for the product on the storefront.

- `url` (string, optional) — Product URL on the storefront.
- `is_customized` (boolean, optional) — Returns `true` if the URL has been changed from its default state (the auto-assigned URL that BigCommerce provides).

### pagination_Full

Data about the response, including pagination and collection totals.

- `total` (integer, optional) — Total number of items in the result set.
- `count` (integer, optional) — Total number of items in the collection response.
- `per_page` (integer, optional) — The amount of items returned in the collection per page, controlled by the limit parameter.
- `current_page` (integer, optional) — The page you are currently on within the collection.
- `total_pages` (integer, optional) — The total number of pages in the collection.
- `links` (PaginationFullLinks, optional) — Pagination links for the previous and next parts of the whole collection.

### PaginationFullLinks

Pagination links for the previous and next parts of the whole collection.

- `previous` (string, optional) — Link to the previous page returned in the response.
- `current` (string, optional) — Link to the current page returned in the response.
- `next` (string, optional) — Link to the next page returned in the response.

## Examples

**Response**

```json
{
  "data": [
    {
      "name": "Sagaform",
      "id": 35,
      "page_title": "",
      "meta_keywords": [
        ""
      ],
      "meta_description": "",
      "search_keywords": "",
      "image_url": "",
      "custom_url": {
        "url": "/brands/Sagaform.html",
        "is_customized": false
      }
    },
    {
      "name": "OFS",
      "id": 36,
      "page_title": "OFS",
      "meta_keywords": [
        "modern",
        "clean",
        "contemporary"
      ],
      "meta_description": "OFS is a modern brand.",
      "search_keywords": "kitchen, laundry, cart, storage",
      "image_url": "",
      "custom_url": {
        "url": "/brands/OFS.html",
        "is_customized": false
      }
    },
    {
      "name": "Common Good",
      "id": 37,
      "page_title": "",
      "meta_keywords": [
        ""
      ],
      "meta_description": "",
      "search_keywords": "",
      "image_url": "https://cdn8.bigcommerce.com/s-jrah6gmn/product_images/k/screen%20shot%202018-05-07%20at%2012.24.24%20pm_1525785365__65102.png",
      "custom_url": {
        "url": "/brands/Common-Good.html",
        "is_customized": false
      }
    },
    {
      "name": "BigCommerce",
      "id": 38,
      "page_title": "",
      "meta_keywords": [
        ""
      ],
      "meta_description": "",
      "search_keywords": "",
      "image_url": "",
      "custom_url": {
        "url": "/bigcommerce/",
        "is_customized": false
      }
    },
    {
      "name": "Test Brand One",
      "id": 39,
      "page_title": "",
      "meta_keywords": [
        ""
      ],
      "meta_description": "",
      "search_keywords": "",
      "image_url": "https://cdn8.bigcommerce.com/s-jrah6gmn/product_images/q/apihqggzm__53766.jpg",
      "custom_url": {
        "url": "/test-brand-one/",
        "is_customized": false
      }
    },
    {
      "name": "Fog Linen Work",
      "id": 40,
      "page_title": "",
      "meta_keywords": [
        ""
      ],
      "meta_description": "description",
      "search_keywords": "",
      "image_url": "",
      "custom_url": {
        "url": "/fog-linen-work/",
        "is_customized": false
      }
    },
    {
      "name": "Barr-Co.",
      "id": 41,
      "page_title": "",
      "meta_keywords": [
        ""
      ],
      "meta_description": "description",
      "search_keywords": "",
      "image_url": "",
      "custom_url": {
        "url": "/barr-co/",
        "is_customized": false
      }
    },
    {
      "name": "Thames & Hudson",
      "id": 42,
      "page_title": "",
      "meta_keywords": [
        ""
      ],
      "meta_description": "description",
      "search_keywords": "",
      "image_url": "",
      "custom_url": {
        "url": "/thames-hudson/",
        "is_customized": false
      }
    },
    {
      "name": "Able Brewing",
      "id": 43,
      "page_title": "",
      "meta_keywords": [
        ""
      ],
      "meta_description": "description",
      "search_keywords": "",
      "image_url": "",
      "custom_url": {
        "url": "/able-brewing/",
        "is_customized": false
      }
    },
    {
      "name": "Chemex",
      "id": 44,
      "page_title": "",
      "meta_keywords": [
        ""
      ],
      "meta_description": "description",
      "search_keywords": "",
      "image_url": "",
      "custom_url": {
        "url": "/chemex/",
        "is_customized": false
      }
    },
    {
      "name": "Kinfolk",
      "id": 45,
      "page_title": "",
      "meta_keywords": [
        ""
      ],
      "meta_description": "description",
      "search_keywords": "",
      "image_url": "",
      "custom_url": {
        "url": "/kinfolk/",
        "is_customized": false
      }
    },
    {
      "name": "Iris Hantverk",
      "id": 46,
      "page_title": "",
      "meta_keywords": [
        ""
      ],
      "meta_description": "description",
      "search_keywords": "",
      "image_url": "",
      "custom_url": {
        "url": "/iris-hantverk/",
        "is_customized": false
      }
    },
    {
      "name": "Gather Journal",
      "id": 47,
      "page_title": "",
      "meta_keywords": [
        ""
      ],
      "meta_description": "description",
      "search_keywords": "",
      "image_url": "",
      "custom_url": {
        "url": "/gather-journal/",
        "is_customized": false
      }
    },
    {
      "name": "Openhouse Magazine",
      "id": 48,
      "page_title": "",
      "meta_keywords": [
        ""
      ],
      "meta_description": "description",
      "search_keywords": "",
      "image_url": "",
      "custom_url": {
        "url": "/openhouse-magazine/",
        "is_customized": false
      }
    },
    {
      "name": "Smith Journal",
      "id": 49,
      "page_title": "",
      "meta_keywords": [
        ""
      ],
      "meta_description": "description",
      "search_keywords": "",
      "image_url": "",
      "custom_url": {
        "url": "/smith-journal/",
        "is_customized": false
      }
    }
  ],
  "meta": {
    "pagination": {
      "total": 15,
      "count": 15,
      "per_page": 50,
      "current_page": 1,
      "total_pages": 1,
      "links": {
        "current": "?page=1&limit=50"
      }
    }
  }
}
```

**SDK Code**

```python Response
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Response
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Response
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Response
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```